Tryton - Issues

 

Issue2967

Title The Context is not propagated on Many2One field with attribute widget=selection in editable treeviews
Priority feature Status resolved
Superseder Nosy List ced, gleguedard, ncaniart
Type behavior Components tryton
Assigned To gleguedard Keywords patch
Reviews

Created on 2013-01-24.15:51:37 by gleguedard, last changed by ced.

Files
File name Uploaded Type Edit Remove
selection.patch gleguedard, 2013-02-27.17:00:03 text/plain
Messages
msg12606 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-27.17:09:41
Applied in rev 22d4c0338383
msg12605 (view) Author: [hidden] (gleguedard) Date: 2013-02-27.17:00:03
Update patch
msg12603 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-27.16:32:03
Please follow [1] for the commit message.

[1] https://code.google.com/p/tryton/wiki/HowtoContribute
msg12602 (view) Author: [hidden] (gleguedard) Date: 2013-02-27.16:25:49
The final patch
msg12572 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-23.16:01:11
Could you send the final patch?
msg12391 (view) Author: [hidden] (gleguedard) Date: 2013-01-29.16:47:56
Please see code review at: http://codereview.tryton.org/655003/
msg12389 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-01-29.16:31:05
You have to submit a codereview first.
msg12388 (view) Author: [hidden] (gleguedard) Date: 2013-01-29.16:26:23
Fix with attached patch (selection_widget.patch) produced using "How to submit 
your patches/contributions" method in 
https://code.google.com/p/tryton/wiki/HowtoContribute.
If i've done anything wrong, please tell me what.
msg12387 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-01-29.16:04:58
Please follow https://code.google.com/p/tryton/wiki/HowtoContribute
msg12386 (view) Author: [hidden] (gleguedard) Date: 2013-01-29.15:54:21
Here my patch for add record context on a selection for m2o field.
msg12376 (view) Author: [hidden] (gleguedard) Date: 2013-01-24.17:25:05
It works fine without widget="selection" in an editable xml tree view. We can 
access to the transaction context (delivered by the context defined on the m2o 
field) on the search function in the related class of the m2o field.
msg12375 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-01-24.16:17:16
The result of the search can not depend on the context of the record as it is
done only once for the all list per domain.
But patch is welcome to make it also depend on record context.
msg12374 (view) Author: [hidden] (gleguedard) Date: 2013-01-24.15:51:36
If one tries to get the Transaction().context on the search of many2one related 
model in editable treeviews, we get nothing. Without widget=selection attribute, 
it works fine.
History
Date User Action Args
2013-02-27 17:09:42cedsetstatus: testing -> resolved
messages: + msg12606
2013-02-27 17:00:07gleguedardsetfiles: + selection.patch
messages: + msg12605
keyword: + patch
2013-02-27 16:59:37gleguedardsetfiles: - selection.patch
2013-02-27 16:32:04cedsetmessages: + msg12603
keyword: - patch
2013-02-27 16:26:01gleguedardsetfiles: - selection_widget.patch
2013-02-27 16:25:50gleguedardsetfiles: + selection.patch
messages: + msg12602
keyword: + patch
2013-02-23 16:01:13cedsetmessages: + msg12572
2013-02-23 15:59:09cedsetstatus: chatting -> testing
2013-01-29 16:47:57gleguedardsetmessages: + msg12391
2013-01-29 16:31:05cedsetcomponent: - trytond
messages: + msg12389

Showing 10 items. Show all history (warning: this could be VERY long)